## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name mirakuru

Name:           python-%{pypi_name}
Version:        2.5.1
Release:        %autorelease
Summary:        A process orchestration tool designed for functional and integration tests

License:        LGPL-3.0-or-later
URL:            https://github.com/ClearcodeHQ/mirakuru
Source0:        https://github.com/ClearcodeHQ/mirakuru/archive/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

# for check
BuildRequires:  netcat
BuildRequires:  procps-ng
BuildRequires:  python-unversioned-command
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(python-daemon)


%description
A python library that starts your subprocess and waits for a clear indication,
that it's running (process orchestrator)

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
Mirakuru is a process orchestration tool designed for functional and
integration tests

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r -x tests

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
# Skip test_stop_custom_exit_signal_stop as it's failing with python 3.12
%pytest -k 'not test_stop_custom_exit_signal_stop'

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc AUTHORS.rst CHANGES.rst README.rst

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.5.1-3
- Skip failing test for Python-3.12 - Closes rhbz#2220330

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 2.5.1-2
- Rebuilt for Python 3.12

* Wed May 31 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.5.1-1
- Update to 2.5.1 - Closes rhbz#2170850

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 2.4.2-2
- Rebuilt for Python 3.11

* Wed Feb 09 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.4.2-1
- Update to 2.4.2 - Closes rhbz#2052728

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Aug 10 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.4.1-2
- Changes based on #1991135 review

* Fri Aug 06 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.4.1-1
- Initial version

## END: Generated by rpmautospec
